<?php 
/* XSL шаблон для отображения почтовых рассылок */
$xsl_name = to_str($GLOBALS['LA']['xsl_name']);

if (class_exists('SiteUsers'))
{
	if (class_exists('SiteUsers'))
	{
		$SiteUsers = & singleton('SiteUsers');
		
		$user_id = $SiteUsers->GetCurrentSiteUser();
		
		if ($user_id)
		{
			$maillist = new Maillist();
			$maillist->GetMaillistXML($user_id, $xsl_name);
		}
		else
		{
		    ?>
		    <h1>Страница рассылок недоступна</h1>
			<p>Для того, чтобы перейти на эту страницу, необходимо пройти авторизацию.</p>
			<p>Если Ваш браузер поддерживает автоматическое перенаправление через 5 секунд Вы перейдёте на страницу <a href="../">авторизации пользователя</a>. Если Вы не хотите ждать, перейдите по соответствующей ссылке.</p>
			
			<script language="JavaScript" type="text/javascript">
			<!--
			function set_location()
			{
				location="../";
			}
			setTimeout('set_location()', 5000);
			//-->
			</script>
			<?php 
		}
	}
	else
	{
		?>
		<h1>Почтовые рассылки</h1>
		<p>Функционал недоступен, приобретите более старшую редакцию.</p>
		<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/maillists/">Почтовые рассылки</a>&raquo; доступен в редакции &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo;.</p> 
		<?php
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>